#----------------------------------------------------------------------------
# opus.mak
# copyright (c) innovaphone 2015
#----------------------------------------------------------------------------

ifndef cc
cc = $(CC)
endif
ifndef cflags_opus
cflags_opus = -MMD -MF $(CFLAGS) $(APP_CFLAGS) -DHAVE_CONFIG_H -I $(IP_SRC)/common/audio/opus/include -I $(IP_SRC)/common/audio/opus/celt -I $(IP_SRC)/common/audio/opus/silk -I $(IP_SRC)/common/audio/opus/silk/fixed -Wno-error=unused-variable -Wno-error=unused-but-set-variable -Wno-error=maybe-uninitialized -Wno-error=cpp -x c -c -o $@
endif
ifndef aflags
aflags = -I . -x assembler-with-cpp -c -o $@
endif

SRC += $(IP_SRC)/common/audio/opus/celt/bands.c
BOXOBJS += $(OUTDIR)/obj/celt_bands.$(OBJ_EXT)
$(OUTDIR)/obj/celt_bands.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/bands.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/celt.c
BOXOBJS += $(OUTDIR)/obj/celt.$(OBJ_EXT)
$(OUTDIR)/obj/celt.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/celt.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/celt_encoder.c
BOXOBJS += $(OUTDIR)/obj/celt_encoder.$(OBJ_EXT)
$(OUTDIR)/obj/celt_encoder.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/celt_encoder.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/celt_decoder.c
BOXOBJS += $(OUTDIR)/obj/celt_decoder.$(OBJ_EXT)
$(OUTDIR)/obj/celt_decoder.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/celt_decoder.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/cwrs.c
BOXOBJS += $(OUTDIR)/obj/celt_cwrs.$(OBJ_EXT)
$(OUTDIR)/obj/celt_cwrs.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/cwrs.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/entcode.c
BOXOBJS += $(OUTDIR)/obj/celt_entcode.$(OBJ_EXT)
$(OUTDIR)/obj/celt_entcode.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/entcode.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/entdec.c
BOXOBJS += $(OUTDIR)/obj/celt_entdec.$(OBJ_EXT)
$(OUTDIR)/obj/celt_entdec.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/entdec.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/entenc.c
BOXOBJS += $(OUTDIR)/obj/celt_entenc.$(OBJ_EXT)
$(OUTDIR)/obj/celt_entenc.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/entenc.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/kiss_fft.c
BOXOBJS += $(OUTDIR)/obj/celt_kiss_fft.$(OBJ_EXT)
$(OUTDIR)/obj/celt_kiss_fft.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/kiss_fft.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/laplace.c
BOXOBJS += $(OUTDIR)/obj/celt_laplace.$(OBJ_EXT)
$(OUTDIR)/obj/celt_laplace.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/laplace.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/mathops.c
BOXOBJS += $(OUTDIR)/obj/celt_mathops.$(OBJ_EXT)
$(OUTDIR)/obj/celt_mathops.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/mathops.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/mdct.c
BOXOBJS += $(OUTDIR)/obj/celt_mdct.$(OBJ_EXT)
$(OUTDIR)/obj/celt_mdct.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/mdct.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/modes.c
BOXOBJS += $(OUTDIR)/obj/celt_modes.$(OBJ_EXT)
$(OUTDIR)/obj/celt_modes.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/modes.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/pitch.c
BOXOBJS += $(OUTDIR)/obj/celt_pitch.$(OBJ_EXT)
$(OUTDIR)/obj/celt_pitch.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/pitch.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/celt_lpc.c
BOXOBJS += $(OUTDIR)/obj/celt_lpc.$(OBJ_EXT)
$(OUTDIR)/obj/celt_lpc.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/celt_lpc.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/quant_bands.c
BOXOBJS += $(OUTDIR)/obj/celt_quant_bands.$(OBJ_EXT)
$(OUTDIR)/obj/celt_quant_bands.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/quant_bands.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/rate.c
BOXOBJS += $(OUTDIR)/obj/celt_rate.$(OBJ_EXT)
$(OUTDIR)/obj/celt_rate.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/rate.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/vq.c
BOXOBJS += $(OUTDIR)/obj/celt_vq.$(OBJ_EXT)
$(OUTDIR)/obj/celt_vq.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/vq.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/arm/armcpu.c
BOXOBJS += $(OUTDIR)/obj/celt_armcpu.$(OBJ_EXT)
$(OUTDIR)/obj/celt_armcpu.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/arm/armcpu.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/celt/arm/arm_celt_map.c
BOXOBJS += $(OUTDIR)/obj/celt_arm_celt_map.$(OBJ_EXT)
$(OUTDIR)/obj/celt_arm_celt_map.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/arm/arm_celt_map.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/CNG.c
BOXOBJS += $(OUTDIR)/obj/silk_CNG.$(OBJ_EXT)
$(OUTDIR)/obj/silk_CNG.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/CNG.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/code_signs.c
BOXOBJS += $(OUTDIR)/obj/silk_code_signs.$(OBJ_EXT)
$(OUTDIR)/obj/silk_code_signs.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/code_signs.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/init_decoder.c
BOXOBJS += $(OUTDIR)/obj/silk_init_decoder.$(OBJ_EXT)
$(OUTDIR)/obj/silk_init_decoder.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/init_decoder.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/decode_core.c
BOXOBJS += $(OUTDIR)/obj/silk_decode_core.$(OBJ_EXT)
$(OUTDIR)/obj/silk_decode_core.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/decode_core.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/decode_frame.c
BOXOBJS += $(OUTDIR)/obj/silk_decode_frame.$(OBJ_EXT)
$(OUTDIR)/obj/silk_decode_frame.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/decode_frame.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/decode_parameters.c
BOXOBJS += $(OUTDIR)/obj/silk_decode_parameters.$(OBJ_EXT)
$(OUTDIR)/obj/silk_decode_parameters.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/decode_parameters.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/decode_indices.c
BOXOBJS += $(OUTDIR)/obj/silk_decode_indices.$(OBJ_EXT)
$(OUTDIR)/obj/silk_decode_indices.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/decode_indices.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/decode_pulses.c
BOXOBJS += $(OUTDIR)/obj/silk_decode_pulses.$(OBJ_EXT)
$(OUTDIR)/obj/silk_decode_pulses.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/decode_pulses.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/decoder_set_fs.c
BOXOBJS += $(OUTDIR)/obj/silk_decoder_set_fs.$(OBJ_EXT)
$(OUTDIR)/obj/silk_decoder_set_fs.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/decoder_set_fs.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/dec_API.c
BOXOBJS += $(OUTDIR)/obj/silk_dec_API.$(OBJ_EXT)
$(OUTDIR)/obj/silk_dec_API.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/dec_API.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/enc_API.c
BOXOBJS += $(OUTDIR)/obj/silk_enc_API.$(OBJ_EXT)
$(OUTDIR)/obj/silk_enc_API.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/enc_API.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/encode_indices.c
BOXOBJS += $(OUTDIR)/obj/silk_encode_indices.$(OBJ_EXT)
$(OUTDIR)/obj/silk_encode_indices.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/encode_indices.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/encode_pulses.c
BOXOBJS += $(OUTDIR)/obj/silk_encode_pulses.$(OBJ_EXT)
$(OUTDIR)/obj/silk_encode_pulses.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/encode_pulses.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/gain_quant.c
BOXOBJS += $(OUTDIR)/obj/silk_gain_quant.$(OBJ_EXT)
$(OUTDIR)/obj/silk_gain_quant.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/gain_quant.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/interpolate.c
BOXOBJS += $(OUTDIR)/obj/silk_interpolate.$(OBJ_EXT)
$(OUTDIR)/obj/silk_interpolate.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/interpolate.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/LP_variable_cutoff.c
BOXOBJS += $(OUTDIR)/obj/silk_LP_variable_cutoff.$(OBJ_EXT)
$(OUTDIR)/obj/silk_LP_variable_cutoff.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/LP_variable_cutoff.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/NLSF_decode.c
BOXOBJS += $(OUTDIR)/obj/silk_NLSF_decode.$(OBJ_EXT)
$(OUTDIR)/obj/silk_NLSF_decode.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/NLSF_decode.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/NSQ.c
BOXOBJS += $(OUTDIR)/obj/silk_NSQ.$(OBJ_EXT)
$(OUTDIR)/obj/silk_NSQ.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/NSQ.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/NSQ_del_dec.c
BOXOBJS += $(OUTDIR)/obj/silk_NSQ_del_dec.$(OBJ_EXT)
$(OUTDIR)/obj/silk_NSQ_del_dec.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/NSQ_del_dec.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/PLC.c
BOXOBJS += $(OUTDIR)/obj/silk_PLC.$(OBJ_EXT)
$(OUTDIR)/obj/silk_PLC.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/PLC.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/shell_coder.c
BOXOBJS += $(OUTDIR)/obj/silk_shell_coder.$(OBJ_EXT)
$(OUTDIR)/obj/silk_shell_coder.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/shell_coder.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/tables_gain.c
BOXOBJS += $(OUTDIR)/obj/silk_tables_gain.$(OBJ_EXT)
$(OUTDIR)/obj/silk_tables_gain.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/tables_gain.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/tables_LTP.c
BOXOBJS += $(OUTDIR)/obj/silk_tables_LTP.$(OBJ_EXT)
$(OUTDIR)/obj/silk_tables_LTP.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/tables_LTP.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/tables_NLSF_CB_NB_MB.c
BOXOBJS += $(OUTDIR)/obj/silk_tables_NLSF_CB_NB_MB.$(OBJ_EXT)
$(OUTDIR)/obj/silk_tables_NLSF_CB_NB_MB.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/tables_NLSF_CB_NB_MB.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/tables_NLSF_CB_WB.c
BOXOBJS += $(OUTDIR)/obj/silk_tables_NLSF_CB_WB.$(OBJ_EXT)
$(OUTDIR)/obj/silk_tables_NLSF_CB_WB.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/tables_NLSF_CB_WB.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/tables_other.c
BOXOBJS += $(OUTDIR)/obj/silk_tables_other.$(OBJ_EXT)
$(OUTDIR)/obj/silk_tables_other.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/tables_other.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/tables_pitch_lag.c
BOXOBJS += $(OUTDIR)/obj/silk_tables_pitch_lag.$(OBJ_EXT)
$(OUTDIR)/obj/silk_tables_pitch_lag.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/tables_pitch_lag.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/tables_pulses_per_block.c
BOXOBJS += $(OUTDIR)/obj/silk_tables_pulses_per_block.$(OBJ_EXT)
$(OUTDIR)/obj/silk_tables_pulses_per_block.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/tables_pulses_per_block.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/VAD.c
BOXOBJS += $(OUTDIR)/obj/silk_VAD.$(OBJ_EXT)
$(OUTDIR)/obj/silk_VAD.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/VAD.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/control_audio_bandwidth.c
BOXOBJS += $(OUTDIR)/obj/silk_control_audio_bandwidth.$(OBJ_EXT)
$(OUTDIR)/obj/silk_control_audio_bandwidth.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/control_audio_bandwidth.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/quant_LTP_gains.c
BOXOBJS += $(OUTDIR)/obj/silk_quant_LTP_gains.$(OBJ_EXT)
$(OUTDIR)/obj/silk_quant_LTP_gains.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/quant_LTP_gains.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/VQ_WMat_EC.c
BOXOBJS += $(OUTDIR)/obj/silk_VQ_WMat_EC.$(OBJ_EXT)
$(OUTDIR)/obj/silk_VQ_WMat_EC.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/VQ_WMat_EC.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/HP_variable_cutoff.c
BOXOBJS += $(OUTDIR)/obj/silk_HP_variable_cutoff.$(OBJ_EXT)
$(OUTDIR)/obj/silk_HP_variable_cutoff.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/HP_variable_cutoff.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/NLSF_encode.c
BOXOBJS += $(OUTDIR)/obj/silk_NLSF_encode.$(OBJ_EXT)
$(OUTDIR)/obj/silk_NLSF_encode.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/NLSF_encode.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/NLSF_VQ.c
BOXOBJS += $(OUTDIR)/obj/silk_NLSF_VQ.$(OBJ_EXT)
$(OUTDIR)/obj/silk_NLSF_VQ.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/NLSF_VQ.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/NLSF_unpack.c
BOXOBJS += $(OUTDIR)/obj/silk_NLSF_unpack.$(OBJ_EXT)
$(OUTDIR)/obj/silk_NLSF_unpack.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/NLSF_unpack.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/NLSF_del_dec_quant.c
BOXOBJS += $(OUTDIR)/obj/silk_NLSF_del_dec_quant.$(OBJ_EXT)
$(OUTDIR)/obj/silk_NLSF_del_dec_quant.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/NLSF_del_dec_quant.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/process_NLSFs.c
BOXOBJS += $(OUTDIR)/obj/silk_process_NLSFs.$(OBJ_EXT)
$(OUTDIR)/obj/silk_process_NLSFs.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/process_NLSFs.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/stereo_LR_to_MS.c
BOXOBJS += $(OUTDIR)/obj/silk_stereo_LR_to_MS.$(OBJ_EXT)
$(OUTDIR)/obj/silk_stereo_LR_to_MS.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/stereo_LR_to_MS.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/stereo_MS_to_LR.c
BOXOBJS += $(OUTDIR)/obj/silk_stereo_MS_to_LR.$(OBJ_EXT)
$(OUTDIR)/obj/silk_stereo_MS_to_LR.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/stereo_MS_to_LR.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/check_control_input.c
BOXOBJS += $(OUTDIR)/obj/silk_check_control_input.$(OBJ_EXT)
$(OUTDIR)/obj/silk_check_control_input.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/check_control_input.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/control_SNR.c
BOXOBJS += $(OUTDIR)/obj/silk_control_SNR.$(OBJ_EXT)
$(OUTDIR)/obj/silk_control_SNR.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/control_SNR.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/init_encoder.c
BOXOBJS += $(OUTDIR)/obj/silk_init_encoder.$(OBJ_EXT)
$(OUTDIR)/obj/silk_init_encoder.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/init_encoder.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/control_codec.c
BOXOBJS += $(OUTDIR)/obj/silk_control_codec.$(OBJ_EXT)
$(OUTDIR)/obj/silk_control_codec.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/control_codec.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/A2NLSF.c
BOXOBJS += $(OUTDIR)/obj/silk_A2NLSF.$(OBJ_EXT)
$(OUTDIR)/obj/silk_A2NLSF.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/A2NLSF.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/ana_filt_bank_1.c
BOXOBJS += $(OUTDIR)/obj/silk_ana_filt_bank_1.$(OBJ_EXT)
$(OUTDIR)/obj/silk_ana_filt_bank_1.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/ana_filt_bank_1.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/biquad_alt.c
BOXOBJS += $(OUTDIR)/obj/silk_biquad_alt.$(OBJ_EXT)
$(OUTDIR)/obj/silk_biquad_alt.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/biquad_alt.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/bwexpander_32.c
BOXOBJS += $(OUTDIR)/obj/silk_bwexpander_32.$(OBJ_EXT)
$(OUTDIR)/obj/silk_bwexpander_32.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/bwexpander_32.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/bwexpander.c
BOXOBJS += $(OUTDIR)/obj/silk_bwexpander.$(OBJ_EXT)
$(OUTDIR)/obj/silk_bwexpander.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/bwexpander.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/debug.c
BOXOBJS += $(OUTDIR)/obj/silk_debug.$(OBJ_EXT)
$(OUTDIR)/obj/silk_debug.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/debug.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/decode_pitch.c
BOXOBJS += $(OUTDIR)/obj/silk_decode_pitch.$(OBJ_EXT)
$(OUTDIR)/obj/silk_decode_pitch.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/decode_pitch.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/inner_prod_aligned.c
BOXOBJS += $(OUTDIR)/obj/silk_inner_prod_aligned.$(OBJ_EXT)
$(OUTDIR)/obj/silk_inner_prod_aligned.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/inner_prod_aligned.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/lin2log.c
BOXOBJS += $(OUTDIR)/obj/silk_lin2log.$(OBJ_EXT)
$(OUTDIR)/obj/silk_lin2log.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/lin2log.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/log2lin.c
BOXOBJS += $(OUTDIR)/obj/silk_log2lin.$(OBJ_EXT)
$(OUTDIR)/obj/silk_log2lin.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/log2lin.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/LPC_analysis_filter.c
BOXOBJS += $(OUTDIR)/obj/silk_LPC_analysis_filter.$(OBJ_EXT)
$(OUTDIR)/obj/silk_LPC_analysis_filter.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/LPC_analysis_filter.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/LPC_inv_pred_gain.c
BOXOBJS += $(OUTDIR)/obj/silk_LPC_inv_pred_gain.$(OBJ_EXT)
$(OUTDIR)/obj/silk_LPC_inv_pred_gain.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/LPC_inv_pred_gain.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/table_LSF_cos.c
BOXOBJS += $(OUTDIR)/obj/silk_table_LSF_cos.$(OBJ_EXT)
$(OUTDIR)/obj/silk_table_LSF_cos.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/table_LSF_cos.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/NLSF2A.c
BOXOBJS += $(OUTDIR)/obj/silk_NLSF2A.$(OBJ_EXT)
$(OUTDIR)/obj/silk_NLSF2A.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/NLSF2A.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/NLSF_stabilize.c
BOXOBJS += $(OUTDIR)/obj/silk_NLSF_stabilize.$(OBJ_EXT)
$(OUTDIR)/obj/silk_NLSF_stabilize.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/NLSF_stabilize.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/NLSF_VQ_weights_laroia.c
BOXOBJS += $(OUTDIR)/obj/silk_NLSF_VQ_weights_laroia.$(OBJ_EXT)
$(OUTDIR)/obj/silk_NLSF_VQ_weights_laroia.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/NLSF_VQ_weights_laroia.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/pitch_est_tables.c
BOXOBJS += $(OUTDIR)/obj/silk_pitch_est_tables.$(OBJ_EXT)
$(OUTDIR)/obj/silk_pitch_est_tables.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/pitch_est_tables.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/resampler.c
BOXOBJS += $(OUTDIR)/obj/silk_resampler.$(OBJ_EXT)
$(OUTDIR)/obj/silk_resampler.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/resampler.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/resampler_down2_3.c
BOXOBJS += $(OUTDIR)/obj/silk_resampler_down2_3.$(OBJ_EXT)
$(OUTDIR)/obj/silk_resampler_down2_3.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/resampler_down2_3.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/resampler_down2.c
BOXOBJS += $(OUTDIR)/obj/silk_resampler_down2.$(OBJ_EXT)
$(OUTDIR)/obj/silk_resampler_down2.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/resampler_down2.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/resampler_private_AR2.c
BOXOBJS += $(OUTDIR)/obj/silk_resampler_private_AR2.$(OBJ_EXT)
$(OUTDIR)/obj/silk_resampler_private_AR2.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/resampler_private_AR2.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/resampler_private_down_FIR.c
BOXOBJS += $(OUTDIR)/obj/silk_resampler_private_down_FIR.$(OBJ_EXT)
$(OUTDIR)/obj/silk_resampler_private_down_FIR.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/resampler_private_down_FIR.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/resampler_private_IIR_FIR.c
BOXOBJS += $(OUTDIR)/obj/silk_resampler_private_IIR_FIR.$(OBJ_EXT)
$(OUTDIR)/obj/silk_resampler_private_IIR_FIR.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/resampler_private_IIR_FIR.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/resampler_private_up2_HQ.c
BOXOBJS += $(OUTDIR)/obj/silk_resampler_private_up2_HQ.$(OBJ_EXT)
$(OUTDIR)/obj/silk_resampler_private_up2_HQ.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/resampler_private_up2_HQ.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/resampler_rom.c
BOXOBJS += $(OUTDIR)/obj/silk_resampler_rom.$(OBJ_EXT)
$(OUTDIR)/obj/silk_resampler_rom.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/resampler_rom.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/sigm_Q15.c
BOXOBJS += $(OUTDIR)/obj/silk_sigm_Q15.$(OBJ_EXT)
$(OUTDIR)/obj/silk_sigm_Q15.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/sigm_Q15.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/sort.c
BOXOBJS += $(OUTDIR)/obj/silk_sort.$(OBJ_EXT)
$(OUTDIR)/obj/silk_sort.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/sort.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/sum_sqr_shift.c
BOXOBJS += $(OUTDIR)/obj/silk_sum_sqr_shift.$(OBJ_EXT)
$(OUTDIR)/obj/silk_sum_sqr_shift.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/sum_sqr_shift.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/stereo_decode_pred.c
BOXOBJS += $(OUTDIR)/obj/silk_stereo_decode_pred.$(OBJ_EXT)
$(OUTDIR)/obj/silk_stereo_decode_pred.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/stereo_decode_pred.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/stereo_encode_pred.c
BOXOBJS += $(OUTDIR)/obj/silk_stereo_encode_pred.$(OBJ_EXT)
$(OUTDIR)/obj/silk_stereo_encode_pred.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/stereo_encode_pred.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/stereo_find_predictor.c
BOXOBJS += $(OUTDIR)/obj/silk_stereo_find_predictor.$(OBJ_EXT)
$(OUTDIR)/obj/silk_stereo_find_predictor.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/stereo_find_predictor.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/stereo_quant_pred.c
BOXOBJS += $(OUTDIR)/obj/silk_stereo_quant_pred.$(OBJ_EXT)
$(OUTDIR)/obj/silk_stereo_quant_pred.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/stereo_quant_pred.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/LTP_analysis_filter_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_LTP_analysis_filter_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_LTP_analysis_filter_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/LTP_analysis_filter_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/LTP_scale_ctrl_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_LTP_scale_ctrl_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_LTP_scale_ctrl_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/LTP_scale_ctrl_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/corrMatrix_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_corrMatrix_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_corrMatrix_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/corrMatrix_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/encode_frame_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_encode_frame_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_encode_frame_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/encode_frame_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/find_LPC_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_find_LPC_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_find_LPC_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/find_LPC_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/find_LTP_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_find_LTP_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_find_LTP_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/find_LTP_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/find_pitch_lags_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_find_pitch_lags_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_find_pitch_lags_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/find_pitch_lags_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/find_pred_coefs_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_find_pred_coefs_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_find_pred_coefs_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/find_pred_coefs_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/noise_shape_analysis_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_noise_shape_analysis_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_noise_shape_analysis_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/noise_shape_analysis_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/prefilter_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_prefilter_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_prefilter_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/prefilter_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/process_gains_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_process_gains_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_process_gains_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/process_gains_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/regularize_correlations_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_regularize_correlations_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_regularize_correlations_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/regularize_correlations_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/residual_energy16_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_residual_energy16_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_residual_energy16_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/residual_energy16_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/residual_energy_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_residual_energy_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_residual_energy_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/residual_energy_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/solve_LS_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_solve_LS_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_solve_LS_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/solve_LS_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/warped_autocorrelation_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_warped_autocorrelation_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_warped_autocorrelation_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/warped_autocorrelation_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/apply_sine_window_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_apply_sine_window_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_apply_sine_window_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/apply_sine_window_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/autocorr_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_autocorr_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_autocorr_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/autocorr_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/burg_modified_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_burg_modified_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_burg_modified_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/burg_modified_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/k2a_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_k2a_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_k2a_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/k2a_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/k2a_Q16_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_k2a_Q16_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_k2a_Q16_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/k2a_Q16_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/pitch_analysis_core_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_pitch_analysis_core_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_pitch_analysis_core_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/pitch_analysis_core_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/vector_ops_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_vector_ops_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_vector_ops_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/vector_ops_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/schur64_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_schur64_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_schur64_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/schur64_FIX.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/silk/fixed/schur_FIX.c
BOXOBJS += $(OUTDIR)/obj/silk_schur_FIX.$(OBJ_EXT)
$(OUTDIR)/obj/silk_schur_FIX.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/silk/fixed/schur_FIX.c
		$(cc) $(cflags_opus) $<



SRC += $(IP_SRC)/common/audio/opus/src/opus.c
BOXOBJS += $(OUTDIR)/obj/opus.$(OBJ_EXT)
$(OUTDIR)/obj/opus.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/src/opus.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/src/opus_decoder.c
BOXOBJS += $(OUTDIR)/obj/opus_decoder.$(OBJ_EXT)
$(OUTDIR)/obj/opus_decoder.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/src/opus_decoder.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/src/opus_encoder.c
BOXOBJS += $(OUTDIR)/obj/opus_encoder.$(OBJ_EXT)
$(OUTDIR)/obj/opus_encoder.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/src/opus_encoder.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/src/opus_multistream.c
BOXOBJS += $(OUTDIR)/obj/opus_multistream.$(OBJ_EXT)
$(OUTDIR)/obj/opus_multistream.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/src/opus_multistream.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/src/opus_multistream_encoder.c
BOXOBJS += $(OUTDIR)/obj/opus_multistream_encoder.$(OBJ_EXT)
$(OUTDIR)/obj/opus_multistream_encoder.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/src/opus_multistream_encoder.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/src/opus_multistream_decoder.c
BOXOBJS += $(OUTDIR)/obj/opus_multistream_decoder.$(OBJ_EXT)
$(OUTDIR)/obj/opus_multistream_decoder.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/src/opus_multistream_decoder.c
		$(cc) $(cflags_opus) $<

SRC += $(IP_SRC)/common/audio/opus/src/repacketizer.c
BOXOBJS += $(OUTDIR)/obj/opus_repacketizer.$(OBJ_EXT)
$(OUTDIR)/obj/opus_repacketizer.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/src/repacketizer.c
		$(cc) $(cflags_opus) $<


#SRC += $(IP_SRC)/common/audio/opus/celt/arm/arm_celt_ne10_mdct.c
#BOXOBJS += $(OUTDIR)/obj/celt_arm_celt_ne10_mdct.$(OBJ_EXT)
#$(OUTDIR)/obj/celt_arm_celt_ne10_mdct.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/arm/celt_ne10_mdct.c
#		$(cc) $(cflags_opus) $<

#SRC += $(IP_SRC)/common/audio/opus/celt/arm/arm_celt_ne10_fft.c
#BOXOBJS += $(OUTDIR)/obj/celt_arm_celt_ne10_fft.$(OBJ_EXT)
#$(OUTDIR)/obj/celt_arm_celt_ne10_fft.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/arm/celt_ne10_fft.c
#		$(cc) $(cflags_opus) $<

ifndef __SOFTWARE_PHONE__
SRC += $(IP_SRC)/common/audio/opus/celt/arm/celt_pitch_xcorr_arm-gnu.S
BOXOBJS += $(OUTDIR)/obj/celt_pitch_xcorr_arm-gnu.$(OBJ_EXT)
$(OUTDIR)/obj/celt_pitch_xcorr_arm-gnu.$(OBJ_EXT): $(IP_SRC)/common/audio/opus/celt/arm/celt_pitch_xcorr_arm-gnu.S
		$(cc) $(aflags) -I$(IP_SRC)/common/audio/opus $<
endif
